[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.EnumFontFamilies

Invokes a callback function for every font available on a specified device.

## Declaration

Source position: winapih.inc line 92

`public function TWidgetSet.EnumFontFamilies(`
`DC: HDC;`
`Family: Pchar;`
`EnumFontFamProc: FontEnumProc;`
`LParam: LPARAM`
`):LongInt; virtual;`

## Arguments

`DC` |  | The device context.
`Family` |  | The font family name, empty for all families.
`EnumFontFamProc` |  | The callback function.
`LParam` |  | Data passed to the callback function.

## Function result

The last value returned by the callback function.

## See also

TWidgetSet.EnumFontFamiliesEx |  | Invokes a callback function for every available font that matches certain criteria.